Skip to main content
`Ctrl`+`K`

# KSPGCRSetModifyPC

Sets the routine used by `KSPGCR` to modify the preconditioner for each iteration

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGCRSetModifyPC(KSP ksp, KSPFlexibleModifyPCFn *function, void *ctx, PetscCtxDestroyFn *destroy)

Logically Collective

## Input Parameters

- ksp - iterative context obtained from `KSPCreate()`

- function - user defined function to modify the preconditioner, see `KSPFlexibleModifyPCFn`

- ctx - user provided context for the modify preconditioner function

- destroy - the function to use to destroy the user provided application context.

## See Also

KSP: Linear System Solvers, `KSP`, `KSPGCR`, `KSPFlexibleModifyPCFn`, `KSPFGMRESModifyPCFn`, Flexible Krylov Methods

## Level

intermediate

## Location

src/ksp/ksp/impls/gcr/gcr.c

## Implementations

KSPGCRSetModifyPC_GCR() in src/ksp/ksp/impls/gcr/gcr.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages